(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    130628,       3596]
NotebookOptionsPosition[    117797,       3449]
NotebookOutlinePosition[    118199,       3465]
CellTagsIndexPosition[    118156,       3462]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Get", "@", 
   RowBox[{"FileNameJoin", "@", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", 
      "\"\<ParityOddSpinTwoScalar.m\>\""}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8899526439076023`*^9, 3.889952647975067*^9}, {
  3.889971902768648*^9, 3.889971908470889*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"d7e67cda-12be-45bf-bec3-bc2d6d116f91"],

Cell["Marco's parity-odd spin-two scalar", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028696798318*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontSize->40,
 FontWeight->Bold,
 FontVariations->{"Underline"->True},
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"0175dab7-4ea0-4386-b285-e057cfa50558"],

Cell[BoxData[
 TagBox[GridBox[{
    {Cell["Connection to Part III project",
      FontWeight->Bold,ExpressionUUID->
      "2c647667-4b5d-432d-8401-6b7ef4350437"], Cell["\<\
The purpose of this script is to compute the scalar part of the parity-odd \
spin-two mode in the connection, by analogy to standard SVT techniques.\
\>",ExpressionUUID->"21482b27-4b05-45cd-8a2b-c5b66aae42c1"]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "TextGrid"]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028696816774*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],
 Background->RGBColor[
  1, 1, 0],ExpressionUUID->"75f0eed1-563e-45d2-b3e8-a680a3b4c30e"],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8900286969011707`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e7663af6-1b51-486f-a1b8-bc3f295bd2df"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2015", ",", "8", ",", "23"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.2.3", ", ", {2015, 8, 23}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.89002869690275*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b621c17c-a5dd-4fc4-979c-06917d7476af"],

Cell[BoxData["\<\"CopyRight (C) 2003-2020, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellChangeTimes->{3.8900286969044456`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e6e36292-2d0d-4a43-b935-6b782a066349"],

Cell[BoxData["\<\"Connecting to external linux executable...\"\>"], "Print",
 CellChangeTimes->{3.890028696964239*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e1c48db3-4a5b-4455-9713-3e4cd726e83e"],

Cell[BoxData["\<\"Connection established.\"\>"], "Print",
 CellChangeTimes->{3.890028697013661*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"61709e75-dc40-4840-8b2e-c42b5c20098d"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8900286970152597`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7cf33c8e-74bb-4e7f-b0de-edef1f034bf0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTensor`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.0\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "10", ",", "17"}], "}"}]}],
  SequenceForm[
  "Package xAct`xTensor`  version ", "1.2.0", ", ", {2021, 10, 17}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286970167007`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5179741e-7c43-43cb-8db9-afd660d35b40"],

Cell[BoxData["\<\"CopyRight (C) 2002-2021, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellChangeTimes->{3.8900286970180073`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6c285160-a171-4d43-94d4-005112c7578a"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.89002869702845*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a65bf617-da0b-4abc-a11b-e01588437cde"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.890028697030006*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b4bc7690-03c9-4c18-bcc3-6c4efe925c24"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028697031445*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9286c6f0-37f8-4400-8ff7-5658ccc099a1"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028697131173*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"07d6bd9f-6aa2-420b-b8ca-20a0f0d407d2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.2.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2015", ",", "8", ",", "23"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.2.3", ", ", {2015, 8, 23}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697132807*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8808100e-57ea-4cb4-bd0f-cfcf13490aa5"],

Cell[BoxData["\<\"CopyRight (C) 2003-2020, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellChangeTimes->{3.8900286971343937`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"00f44c0b-8bfd-479a-9169-1b843a581fb9"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8900286971358*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e1a70b57-8f81-4a21-8c03-45d3d7c7d865"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.890028697137138*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"905de483-e0e2-4a7f-81bc-6b2093fa9941"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.89002869713848*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"df455525-f35c-4fc5-beb3-e77e83a85579"],

Cell[BoxData["\<\"Connecting to external linux executable...\"\>"], "Print",
 CellChangeTimes->{3.890028697151548*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"349d5827-7fce-4988-a05e-39de9041c21c"],

Cell[BoxData["\<\"Connection established.\"\>"], "Print",
 CellChangeTimes->{3.890028697162737*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4fc83541-4e59-4f22-a98d-1677c950e013"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.89002869721842*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1600d9e4-4ec4-4acc-947e-765882f0b77b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPert`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.0.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2018", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xPert`  version ", "1.0.6", ", ", {2018, 2, 28}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697220063*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e3161402-7bd9-45fa-8d8a-0a4b2e0fd170"],

Cell[BoxData["\<\"CopyRight (C) 2005-2020, David Brizuela, Jose M. \
Martin-Garcia and Guillermo A. Mena Marugan, under the General Public \
License.\"\>"], "Print",
 CellChangeTimes->{3.8900286972214737`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c3de8f62-b84a-43fa-9a74-c44e69f798f9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$PrePrint", 
   "\[InvisibleSpace]", "\<\" assigned value \"\>", "\[InvisibleSpace]", 
   "ScreenDollarIndices"}],
  SequenceForm[
  "** Variable ", $PrePrint, " assigned value ", 
   xAct`xTensor`ScreenDollarIndices],
  Editable->False]], "Print",
 CellChangeTimes->{3.89002869723381*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"faf54df3-6018-43e0-80c2-63b1f120ca32"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$CovDFormat", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "\<\"Prefix\"\>", "\[InvisibleSpace]", "\<\" to \"\>",
    "\[InvisibleSpace]", "\<\"Postfix\"\>"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CovDFormat, " changed from ", "Prefix", 
   " to ", "Postfix"],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697235462*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"df51fcfb-a5b8-4f36-86e1-e18718901f22"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "AllowUpperDerivatives", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "ContractMetric",
    "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`AllowUpperDerivatives, " of ", 
   xAct`xTensor`ContractMetric, " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286972368183`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"65bd5179-bbca-4c25-b50c-74b9f2b2f7c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "MetricOn", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", "None",
    "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "All"}],
  SequenceForm[
  "** Option ", xAct`xTensor`MetricOn, " of ", xAct`xTensor`MakeRule, 
   " changed from ", None, " to ", All],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286972382183`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"34052819-2fcc-4b64-8fb2-3edcf0d51060"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "ContractMetrics", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "MakeRule", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`ContractMetrics, " of ", xAct`xTensor`MakeRule, 
   " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697239645*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"46031af9-ba93-4b09-9dfc-06d685cd0e4b"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028697254672*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2cbfcaa1-919b-4daf-9bc2-ecedc5c0bb46"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`Invar`  version \"\>", 
   "\[InvisibleSpace]", "\<\"2.0.5\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2013", ",", "7", ",", "1"}], "}"}]}],
  SequenceForm["Package xAct`Invar`  version ", "2.0.5", ", ", {2013, 7, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697256071*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5bc5d5b1-f991-4d90-bc56-6da0b60be70b"],

Cell[BoxData["\<\"CopyRight (C) 2006-2020, J. M. Martin-Garcia, D. Yllanes \
and R. Portugal, under the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.890028697257533*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e6a9028b-f43f-4893-ad05-e0d4ef8cb44d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", 
   "sigma", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", "constant symbol ", 
   xAct`Invar`sigma, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697271476*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d58f3fbc-fa10-4cf0-93ce-f5f8d88ab369"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", 
   "dim", "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", "constant symbol ", 
   xAct`Invar`dim, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697273005*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7af28e01-14a0-47fc-8722-a884b6792af4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "CurvatureRelations", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", "True",
    "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "False"}],
  SequenceForm[
  "** Option ", xAct`xTensor`CurvatureRelations, " of ", xAct`xTensor`DefCovD,
    " changed from ", True, " to ", False],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697274478*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"148b67d1-033d-46ab-916a-8c52ffd55809"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", 
   "$CommuteCovDsOnScalars", "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "True", "\[InvisibleSpace]", "\<\" to \"\>", 
   "\[InvisibleSpace]", "False"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CommuteCovDsOnScalars, " changed from ", True,
    " to ", False],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697275948*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c141540f-13fa-4a3a-b7a5-75888efcb358"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028697306038*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d69345a1-d92c-4e9f-952d-85b557faece9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xCoba`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.8.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xCoba`  version ", "0.8.6", ", ", {2021, 2, 28}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697307829*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"867f5f38-6a9b-46af-8719-4e5779d02e2d"],

Cell[BoxData["\<\"CopyRight (C) 2005-2021, David Yllanes and Jose M. \
Martin-Garcia, under the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.890028697309313*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8478cf0e-f60a-4ecd-ab74-92e60dc3455e"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028697766346*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d0b90862-ba28-4a70-b0ab-954b7bb93285"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`SymManipulator`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.9.5\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "9", ",", "14"}], "}"}]}],
  SequenceForm[
  "Package xAct`SymManipulator`  version ", "0.9.5", ", ", {2021, 9, 14}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286977679777`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3e1a10b1-30e7-45e3-884d-cea91937cba9"],

Cell[BoxData["\<\"CopyRight (C) 2011-2021, Thomas B\[ADoubleDot]ckdahl, under \
the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.890028697769405*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"25af1337-871d-443a-9bdd-12431c89f166"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028697819251*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"cd0b1e2d-66b9-4938-9441-47a64297af50"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTras`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.4.2\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2014", ",", "10", ",", "30"}], "}"}]}],
  SequenceForm["Package xAct`xTras`  version ", "1.4.2", ", ", {2014, 10, 30}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286978207903`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c27c8c2b-11a3-4e6d-909c-c1164615a193"],

Cell[BoxData["\<\"CopyRight (C) 2012-2014, Teake Nutma, under the General \
Public License.\"\>"], "Print",
 CellChangeTimes->{3.8900286978222446`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b07eb3aa-e7ed-44fc-9a5b-175f147d1bc8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Variable \"\>", "\[InvisibleSpace]", "$CovDFormat", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", 
   "\[InvisibleSpace]", "\<\"Postfix\"\>", 
   "\[InvisibleSpace]", "\<\" to \"\>", 
   "\[InvisibleSpace]", "\<\"Prefix\"\>"}],
  SequenceForm[
  "** Variable ", xAct`xTensor`$CovDFormat, " changed from ", "Postfix", 
   " to ", "Prefix"],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697823601*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"38f61597-dc46-4ed1-a14c-5d1ab6b0dc63"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** Option \"\>", "\[InvisibleSpace]", "CurvatureRelations", 
   "\[InvisibleSpace]", "\<\" of \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\" changed from \"\>", "\[InvisibleSpace]", 
   "False", "\[InvisibleSpace]", "\<\" to \"\>", "\[InvisibleSpace]", "True"}],
  SequenceForm[
  "** Option ", xAct`xTensor`CurvatureRelations, " of ", xAct`xTensor`DefCovD,
    " changed from ", False, " to ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028697824985*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"719b6eed-e68a-40b2-ab0b-2944469a8a1a"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028698232462*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"bb762015-bc22-439a-a851-ef0b18ee916e"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.890028698234109*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ac0664c7-5ea9-405a-ad30-f57b684e7d31"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8900286982356653`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"90642492-3f5f-41cb-8af9-d47986171cac"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.8900286982659683`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"91bef473-96cc-478f-8562-268e5b899b27"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xCoba`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.8.6\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2021", ",", "2", ",", "28"}], "}"}]}],
  SequenceForm["Package xAct`xCoba`  version ", "0.8.6", ", ", {2021, 2, 28}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286982675447`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1d040567-0383-4215-8cd2-90c81c6fcc39"],

Cell[BoxData["\<\"CopyRight (C) 2005-2021, David Yllanes and Jose M. \
Martin-Garcia, under the General Public License.\"\>"], "Print",
 CellChangeTimes->{3.890028698268717*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"17039066-acdb-4175-9e18-de07861949d3"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028698270075*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"62b047a6-6782-45a9-bb35-dc2a565c95d7"],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.8900286982714*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"da6d778f-0cbc-4a97-890d-aa294d214fa4"],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.890028698272808*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"639335af-a514-42bf-bff6-9a3f523380d9"]
}, Open  ]],

Cell["\<\
This time define our manifold to be Euclidean, with three dimensions.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028698305005*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"ac5cfeea-9177-4164-a068-876ee0e60f06"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefManifold", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"manifold \"\>", "\[InvisibleSpace]", "M3", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefManifold, ": Defining ", 
   "manifold ", $CellContext`M3, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698358061*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"216f1ad2-acf4-49e4-b5fd-986675b80d7b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefVBundle", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vbundle \"\>", "\[InvisibleSpace]", "TangentM3", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefVBundle, ": Defining ", 
   "vbundle ", $CellContext`TangentM3, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286983894377`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d61c40ea-c90c-47f8-801a-bacf309d734b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"G", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`G[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698394022*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0f145c68-6ecd-4361-be60-3429b7222c15"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilonG", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilonG[-$CellContext`a, -$CellContext`a1, -$CellContext`b], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286983956003`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d10951c8-c16b-460a-839e-19b155f85e42"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"CD", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`CD[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286983973618`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0be24c62-3752-45d0-9ba7-e3ddab69cc7f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TorsionCD", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`TorsionCD[$CellContext`a, -$CellContext`a1, -$CellContext`b], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286983989477`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7ffce323-5c90-4e75-a005-fff98524890e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCD", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`ChristoffelCD[$CellContext`a, -$CellContext`a1, \
-$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698400488*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f14c00ca-684d-4701-9f4d-414f7460e1c4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Riemann tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RiemannCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Riemann tensor ", 
   $CellContext`RiemannCD[-$CellContext`a, -$CellContext`a1, -$CellContext`b, \
-$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698402089*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8745c8d8-d98b-413e-9ad0-98c687220b04"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Ricci tensor ", 
   $CellContext`RicciCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286984038563`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c8967e52-c31b-4f3f-a207-ac545130dda2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Ricci scalar \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciScalarCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Ricci scalar ", 
   $CellContext`RicciScalarCD[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698405435*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f1fef618-d47c-488a-a0ce-ce85d9564a26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "vanishing Einstein tensor ", 
   $CellContext`EinsteinCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.89002869840695*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d6803cd7-9f0a-431d-b543-3ea0917fe2a1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"WeylCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing Weyl tensor ", 
   $CellContext`WeylCD[-$CellContext`a, -$CellContext`a1, -$CellContext`b, \
-$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698408394*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d75d630d-21d7-4966-82f4-9cc91fa2e787"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing TFRicci tensor ", 
   $CellContext`TFRicciCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.89002869840983*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"43192f95-a403-439b-80f0-513c375b740e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing Kretschmann scalar \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"KretschmannCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "vanishing Kretschmann scalar ", 
   $CellContext`KretschmannCD[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.89002869841125*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1c23275b-bc76-49ae-88ca-d51ec3aeab9d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing symmetrized Riemann tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"SymRiemannCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "b1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "vanishing symmetrized Riemann tensor ", 
   $CellContext`SymRiemannCD[-$CellContext`a, -$CellContext`a1, \
-$CellContext`b, -$CellContext`b1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698412651*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"fdc45c5b-7da6-4cff-8dcc-ef151ce87caf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing symmetric Schouten tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"SchoutenCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "vanishing symmetric Schouten tensor ", 
   $CellContext`SchoutenCD[-$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286984142323`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"32eb2426-01f7-4b8e-b406-785399ffdcbb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric cosmological Schouten tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"SchoutenCCCD", "[", 
    RowBox[{
     RowBox[{"LI", "[", "_", "]"}], ",", 
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric cosmological Schouten tensor ", 
   $CellContext`SchoutenCCCD[
    xAct`xTensor`LI[
     Blank[]], -$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698415855*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"55625724-9cbc-48ae-b384-d52ba76aa3f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric cosmological Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCCCD", "[", 
    RowBox[{
     RowBox[{"LI", "[", "_", "]"}], ",", 
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "a1"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric cosmological Einstein tensor ", 
   $CellContext`EinsteinCCCD[
    xAct`xTensor`LI[
     Blank[]], -$CellContext`a, -$CellContext`a1], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698417387*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b25467e9-03ad-4bb2-81a2-af332fec6196"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"DetG", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`DetG[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698461032*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"05650a94-a797-472c-a9c7-0ce98fc45cc2"]
}, Open  ]],

Cell["Define a Planck mass.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900286984637012`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"102b862a-ccfc-4868-9d9d-8c7457221993"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", 
   "MPl", "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`MPl, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698510489*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ce0bbd3b-f4fd-48d8-bfb7-5f3b8679f4c1"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Phi", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Phi[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698511986*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"113b300c-5239-42be-b9b3-7d5d0b95c31c"]
}, Open  ]],

Cell["\<\
Now we define the rank-three tensor which will represent the mode.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028698517128*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"e2f4d422-e7f0-4f2f-95e9-95eaa7895186"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"T", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c], ". ", 
   ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028698564324*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b9cbf68e-7b2c-4f2b-b59d-5b11331ecb11"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[GridBox[{
     {"\[ScriptCapitalT]", 
      StyleBox[GridBox[{
         {" ", " ", " "},
         {"\[Alpha]", "\[Beta]", "\[Chi]"}
        },
        GridBoxSpacings->{"Columns" -> {
            Offset[0.], {
             Offset[0.034999999999999996`]}, 
            Offset[0.]}, "Rows" -> {{
             Offset[0.]}}}],
       FontSize->Rational[39, 4]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.034999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c],
  Editable->False]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028698571686*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"2b4689e5-1f9b-4179-8f3c-b30827321f2f"],

Cell["\<\
Note that we don't assume any symmetry for this tensor yet. We will build an \
ansatz below, and gradually symmetrise it.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028698605747*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"5b1f60f7-475e-4f81-bb4e-1d40e3c2feab"],

Cell["\<\
For example the antisymmetry of the Levi-Civita symbols means that there is \
no pseudoscalar mode buried in this tensor, since we know that the tensor \
will end up being symmetric in its first pair of indices. For now however, a \
contraction with the epsilon suggests that there might be such a mode.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900286990093403`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"3201d010-1034-4196-9961-e6030e8e16b3"],

Cell[BoxData[
 TagBox[
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Epsilon]\[Delta]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Alpha]", "\[Beta]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`epsilonG[-$CellContext`a, -$CellContext`b, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Epsilon]\[Delta]", 
        StyleBox[GridBox[{
           {"\[Delta]", "\[Epsilon]", "\[Phi]"},
           {" ", " ", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`epsilonG[$CellContext`d, $CellContext`e, $CellContext`f],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Delta]", "\[Epsilon]", "\[Phi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`d, -$CellContext`e, -$CellContext`f],
    Editable->False]}],
  HoldForm]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900286990460873`*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"0868b646-d4a7-4df0-9625-d2d1bd75b971"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"\[Delta]", 
           StyleBox[GridBox[{
              {" ", "\[Phi]"},
              {"\[Alpha]", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "Rows" -> {{
                  Offset[0.]}}}],
            FontSize->Rational[39, 4]]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       xAct`xTensor`delta[-$CellContext`a, $CellContext`f],
       Editable->False]}], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Epsilon]"},
             {"\[Beta]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`b, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Delta]"},
             {"\[Chi]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`c, $CellContext`d],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Epsilon]"},
             {"\[Alpha]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`a, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Phi]"},
             {"\[Beta]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`b, $CellContext`f],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Delta]"},
             {"\[Chi]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`c, $CellContext`d],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Phi]"},
             {"\[Alpha]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`a, $CellContext`f],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Delta]"},
             {"\[Beta]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`b, $CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Epsilon]"},
             {"\[Chi]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`c, $CellContext`e],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Delta]"},
             {"\[Alpha]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`a, $CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Phi]"},
             {"\[Beta]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`b, $CellContext`f],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Epsilon]"},
             {"\[Chi]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`c, $CellContext`e],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Epsilon]"},
             {"\[Alpha]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`a, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Delta]"},
             {"\[Beta]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`b, $CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Phi]"},
             {"\[Chi]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`c, $CellContext`f],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Delta]"},
             {"\[Alpha]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`a, $CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Epsilon]"},
             {"\[Beta]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`b, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", "\[Phi]"},
             {"\[Chi]", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      xAct`xTensor`delta[-$CellContext`c, $CellContext`f],
      Editable->False]}]}], ")"}], " ", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Delta]", "\[Epsilon]", "\[Phi]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`d, -$CellContext`e, -$CellContext`f],
   Editable->False]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699088976*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"8e6bb5bf-601f-4a7c-98a5-5380eaed864c"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Alpha]", "\[Beta]", "\[Chi]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c],
   Editable->False], "-", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Alpha]", "\[Chi]", "\[Beta]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`a, -$CellContext`c, -$CellContext`b],
   Editable->False], "-", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Beta]", "\[Alpha]", "\[Chi]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`b, -$CellContext`a, -$CellContext`c],
   Editable->False], "+", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Beta]", "\[Chi]", "\[Alpha]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`b, -$CellContext`c, -$CellContext`a],
   Editable->False], "+", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Chi]", "\[Alpha]", "\[Beta]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`c, -$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", " "},
          {"\[Chi]", "\[Beta]", "\[Alpha]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`c, -$CellContext`b, -$CellContext`a],
   Editable->False]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900286991345797`*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"4336cec8-d2ae-4c98-8599-3909365f211c"],

Cell["\<\
Another point is that I'd previously recommended you use some defined \
functions to construct your ansatz. We can try this, e.g. as follows.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699173525*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"91879586-5305-4e2f-b547-dda519921a7c"],

Cell[BoxData[
 TagBox[
  RowBox[{"MakeContractionAnsatz", "[", 
   RowBox[{
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"\[Delta]", 
          StyleBox[GridBox[{
             {" ", " "},
             {"\[Alpha]", "\[Beta]"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "Rows" -> {{
                 Offset[0.]}}}],
           FontSize->Rational[39, 4]]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`G[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox["\[PartialD]", "\[Chi]"], "\[Phi]"}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`CD[-$CellContext`c][
       $CellContext`Phi[]],
      Editable->False]}], ",", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       StyleBox["{",
        FontColor->RGBColor[0, 0, 1]], 
       RowBox[{
        RowBox[{"-", "a"}], 
        RowBox[{",", "\[ThinSpace]"}], 
        RowBox[{"-", "b"}], 
        RowBox[{",", "\[ThinSpace]"}], 
        RowBox[{"-", "c"}]}], 
       StyleBox["}",
        FontColor->RGBColor[0, 0, 1]]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`IndexList[-$CellContext`a, -$CellContext`b, -$CellContext`c],
     Editable->False]}], "]"}],
  HoldForm]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002869920765*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"ceb325d5-7b35-42e9-bcbd-1d3ca076377c"],

Cell["\<\
Try it yourself by removing the comments, but as suspected, this is pretty \
trivial! As often happens in computer algebra, it is much easier to do the \
whole thing by hand.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699241538*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"84f104cc-58af-41fd-8a1f-171f9dcce45d"],

Cell["Define first some constants.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699272479*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"ae8b7d5f-6ff7-4b1d-82a4-4553956e6efb"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", "C1",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`C1, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.8900286993020573`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"307cecfc-bd82-499d-883c-b5aa4e7fcd97"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", "C2",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`C2, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028699303862*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3d193a1c-f494-4b5f-9f0b-1aa39e209999"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", "C3",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`C3, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028699307774*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8a007ae1-9a88-49f6-8284-9a040c1991a3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", "C4",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`C4, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.890028699309449*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a19d8f20-246d-4893-aec4-93052271f6ec"]
}, Open  ]],

Cell["Now develop the ansatz.", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699312241*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"684966de-5ccb-4b35-a9b2-2cd4799dc526"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[GridBox[{
     {"\[ScriptCapitalT]", 
      StyleBox[GridBox[{
         {" ", " ", " "},
         {"\[Alpha]", "\[Beta]", "\[Chi]"}
        },
        GridBoxSpacings->{"Columns" -> {
            Offset[0.], {
             Offset[0.034999999999999996`]}, 
            Offset[0.]}, "Rows" -> {{
             Offset[0.]}}}],
       FontSize->Rational[39, 4]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.034999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   ShowAutoStyles->False,
   AutoSpacing->False],
  $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c],
  Editable->False]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002869935883*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"1af7de37-e077-4855-8afe-3ae01c6de62f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox["C2",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C2,
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Delta]", 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Beta]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`G[-$CellContext`b, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[-$CellContext`a][
     $CellContext`Phi[]],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox["C4",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C4,
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Epsilon]\[Delta]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Beta]", "\[Chi]", 
            RowBox[{"\[Alpha]", "'"}]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`epsilonG[-$CellContext`b, -$CellContext`c, -$CellContext`a1],
    
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SuperscriptBox["\[PartialD]", 
       RowBox[{"\[Alpha]", "'"}]], 
      SubscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[$CellContext`a1][
     $CellContext`CD[-$CellContext`a][
      $CellContext`Phi[]]],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox["C4",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C4,
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Epsilon]\[Delta]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Alpha]", "\[Chi]", 
            RowBox[{"\[Alpha]", "'"}]}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`epsilonG[-$CellContext`a, -$CellContext`c, -$CellContext`a1],
    
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SuperscriptBox["\[PartialD]", 
       RowBox[{"\[Alpha]", "'"}]], 
      SubscriptBox["\[PartialD]", "\[Beta]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[$CellContext`a1][
     $CellContext`CD[-$CellContext`b][
      $CellContext`Phi[]]],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox["C2",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C2,
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Delta]", 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Alpha]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`G[-$CellContext`a, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["\[PartialD]", "\[Beta]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[-$CellContext`b][
     $CellContext`Phi[]],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox["C1",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C1,
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Delta]", 
        StyleBox[GridBox[{
           {" ", " "},
           {"\[Alpha]", "\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`G[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["\[PartialD]", "\[Chi]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[-$CellContext`c][
     $CellContext`Phi[]],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox["C3",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C3,
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["\[PartialD]", "\[Chi]"], 
      SubscriptBox["\[PartialD]", "\[Beta]"], 
      SubscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`CD[-$CellContext`c][
     $CellContext`CD[-$CellContext`b][
      $CellContext`CD[-$CellContext`a][
       $CellContext`Phi[]]]],
    Editable->False]}]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002869941611*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"a149868e-900e-4c22-8d50-3d809090a6b9"],

Cell["\<\
So that looks like a fairly general ansatz, we have four unknown coefficients.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002869945149*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"9273c08a-a965-4e37-ad01-dba27322fc6c"],

Cell["\<\
The only restriction in concocting this ansatz that we imposed so far was for \
symmetry in the first pair of indices (since it was so easy to insist on). \
Let's just check that this symmetry works out.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699483656*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"983e359b-875f-43dd-bb96-43251585943c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Alpha]", "\[Beta]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c],
    Editable->False], "-", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Beta]", "\[Alpha]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`b, -$CellContext`a, -$CellContext`c],
    Editable->False]}], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699514217*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"37a5020c-4461-4e79-90aa-6ed36fb636d5"],

Cell[BoxData[
 RowBox[{
  TagBox["0",
   HoldForm], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699553556*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"b1ea74bc-ecdb-4961-9bf5-8d45b4d3dd3b"],

Cell["\<\
Okay, so that is fine. The symmetry condition knocks out 3*3=9 d.o.f, and it \
needs no extra condition on the unknown constants to be already true. We have \
3*3*3-9=18 d.o.f remaining.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699591454*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"b60395d3-14a0-471d-8b1c-ef247df0ea12"],

Cell["\<\
Now let's try the no-trace condition across the non-symmetric indices, which \
knocks out 3 d.o.f. We have 18-3=15 d.o.f remaining.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699598317*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"2f2131ea-25f3-46c8-9c08-77ae9ebf9afd"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", " ", "\[Alpha]"},
          {"\[Alpha]", "\[Beta]", " "}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`a, -$CellContext`b, $CellContext`a],
   Editable->False], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699627192*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"ab3d4e2f-5c25-4708-96ec-d4eaa5590c66"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox["C3",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C3,
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Alpha]"], 
       SubscriptBox["\[PartialD]", "\[Beta]"], 
       SuperscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`a][
      $CellContext`CD[-$CellContext`b][
       $CellContext`CD[$CellContext`a][
        $CellContext`Phi[]]]],
     Editable->False]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      InterpretationBox[
       StyleBox["C1",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`C1,
       Editable->False], "+", 
      RowBox[{"4", " ", 
       InterpretationBox[
        StyleBox["C2",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`C2,
        Editable->False]}]}], ")"}], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Beta]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`b][
      $CellContext`Phi[]],
     Editable->False]}]}], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900286996622458`*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"b841df3f-17e5-42ec-9b1e-c62f3710bbf8"],

Cell["\<\
So from this we learn that we need the following constraints.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002869969421*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"f14db371-4dea-4c3e-bab8-1fb01ac1b8ce"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox["C1",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C1,
     Editable->False], "+", 
    RowBox[{"4", " ", 
     InterpretationBox[
      StyleBox["C2",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`C2,
      Editable->False]}]}], "\[Equal]", "0"}], "&&", 
  RowBox[{
   InterpretationBox[
    StyleBox["C3",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C3,
    Editable->False], "\[Equal]", "0"}]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699724889*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"54bb2705-bae8-42a0-9fb7-ba86ff7b8b3f"],

Cell["\<\
Now we move on to the trace on the symmetric pair of indices. Again we have \
15-3=12 d.o.f remaining.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900286997508698`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"bc24ae30-95f4-4cf3-beae-63da82ed8b4e"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"\[ScriptCapitalT]", 
       StyleBox[GridBox[{
          {" ", "\[Alpha]", " "},
          {"\[Alpha]", " ", "\[Chi]"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "Rows" -> {{
              Offset[0.]}}}],
        FontSize->Rational[39, 4]]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`T[-$CellContext`a, $CellContext`a, -$CellContext`c],
   Editable->False], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699778391*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"a6cdebfc-99a2-4d49-b88b-42203c5d518c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox["C3",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C3,
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Alpha]"], 
       SuperscriptBox["\[PartialD]", "\[Alpha]"], 
       SubscriptBox["\[PartialD]", "\[Chi]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`a][
      $CellContext`CD[$CellContext`a][
       $CellContext`CD[-$CellContext`c][
        $CellContext`Phi[]]]],
     Editable->False]}], "+", 
   RowBox[{
    InterpretationBox[
     StyleBox["C4",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C4,
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Epsilon]\[Delta]", 
         StyleBox[GridBox[{
            {" ", " ", " "},
            {"\[Chi]", "\[Alpha]", 
             RowBox[{"\[Alpha]", "'"}]}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`epsilonG[-$CellContext`c, -$CellContext`a, -$CellContext`a1],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SuperscriptBox["\[PartialD]", 
        RowBox[{"\[Alpha]", "'"}]], 
       SuperscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[$CellContext`a1][
      $CellContext`CD[$CellContext`a][
       $CellContext`Phi[]]],
     Editable->False]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"3", " ", 
       InterpretationBox[
        StyleBox["C1",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`C1,
        Editable->False]}], "+", 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox["C2",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`C2,
        Editable->False]}]}], ")"}], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Chi]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`c][
      $CellContext`Phi[]],
     Editable->False]}]}], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002869982094*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"4fd7ce17-a4ed-4551-a93e-83cf57e2328d"],

Cell["\<\
So from this we learn that we need the following constraints.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699849333*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"f54068f2-a686-4f0e-85d1-8c0c7018a0c3"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"3", " ", 
     InterpretationBox[
      StyleBox["C1",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`C1,
      Editable->False]}], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox["C2",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`C2,
      Editable->False]}]}], "\[Equal]", "0"}], "&&", 
  RowBox[{
   InterpretationBox[
    StyleBox["C3",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C3,
    Editable->False], "\[Equal]", "0"}], "&&", 
  RowBox[{
   InterpretationBox[
    StyleBox["C4",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`C4,
    Editable->False], "\[Equal]", "0"}]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699878706*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"56e03250-0d1d-45b9-b193-9a9b3e5cc005"],

Cell["\<\
However, this is a problem since the final constraint in this series is \
spurious. To see this, notice how it comes from the term where the \
Levi-Civita symbol is contracted over a spatial Hessian operator. Of course \
this term must vanish, because div of curl vanishes! The reason xAct can't \
get rid of this term has to do with the fact that covariant derivatives are \
generally non-commuting. There are ways around this using xTras or perhaps \
PD, but for now it is just a minor bug. The important result is that the \
system imposed on C1 and C2 by this set of constraints and the previous set \
is singular: both C1 and C2 must be zero, along with C3, though C4 need not \
be.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699908959*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"cb05c005-09dd-4ef5-aafe-fcd01978d93e"],

Cell[BoxData[
 TagBox[GridBox[{
    {Cell["Connection to Part III project",
      FontWeight->Bold,ExpressionUUID->
      "03b7e6b7-a596-400e-b327-6ee6e1cb8c5b"], Cell["\<\
Now let's try that cyclic identity. Counting the number of d.o.f removed by \
this identity is a bit of a fiddle. To understand what is happening, I think \
you can argue as follows. Consider instances of the equation where all \
indices are unequal, there are 3*2*1=6 of these. However you can massage each \
such instance using the symmetry in the first pair of indices to show that \
they all remove only 1 d.o.f. Next consider cases where only two indices are \
equal, there are 3*2+3*2+3*2=18 of these, but again 3*2+3*2=12 are \
doubly-counted when you use symmetry in the first pair, leaving apparently 6 \
d.o.f removed by such cases. Next there are 3*1*1=3 cases with all indices \
equal. Okay, so that means 1+6+3=10 d.o.f are additionally removed. But this \
is a disaster since we whittled the tensor down to 12 d.o.f by the time we \
considered the cyclic symmetry, so we would have only 2 d.o.f left to span a \
massive spin-2 mode, which ought to have 2*2+1=5 d.o.f. What has happened, is \
that you can actually pair up each of the all-indices-equal equations with \
the appropriate two of the two-indices-equal equations to show that the \
first-pair-traceless condition actually implies the first-last-pair-traceless \
condition (or vice versa). Therefore, either the cyclic identity over-counts \
the number of removed d.o.f by three, or we over-counted by three before we \
got here, depending on perspective. Accordingly, the condition is indeed \
enough to leave us with a spin-2 state. You should certainly prove this \
convincingly in your Part III report, rather than relying on this commentary.\
\
\>",ExpressionUUID->"ea8e4578-542d-46cf-8116-4e9181875d27"]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "TextGrid"]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699936915*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],
 Background->RGBColor[
  1, 1, 0],ExpressionUUID->"53c4dd02-7748-4395-9ad4-721d8c4d63b0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Alpha]", "\[Beta]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c],
    Editable->False], "+", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Beta]", "\[Chi]", "\[Alpha]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`b, -$CellContext`c, -$CellContext`a],
    Editable->False], "+", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Chi]", "\[Alpha]", "\[Beta]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`c, -$CellContext`a, -$CellContext`b],
    Editable->False]}], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028699963477*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"392d4d00-3519-4b59-a26b-8dd4d46a4b78"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      InterpretationBox[
       StyleBox["C1",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`C1,
       Editable->False], "+", 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox["C2",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`C2,
        Editable->False]}]}], ")"}], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Beta]", "\[Chi]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[-$CellContext`b, -$CellContext`c],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`a][
      $CellContext`Phi[]],
     Editable->False]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      InterpretationBox[
       StyleBox["C1",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`C1,
       Editable->False], "+", 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox["C2",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`C2,
        Editable->False]}]}], ")"}], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Alpha]", "\[Chi]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[-$CellContext`a, -$CellContext`c],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Beta]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`b][
      $CellContext`Phi[]],
     Editable->False]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      InterpretationBox[
       StyleBox["C1",
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`C1,
       Editable->False], "+", 
      RowBox[{"2", " ", 
       InterpretationBox[
        StyleBox["C2",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`C2,
        Editable->False]}]}], ")"}], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"\[Delta]", 
         StyleBox[GridBox[{
            {" ", " "},
            {"\[Alpha]", "\[Beta]"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "Rows" -> {{
                Offset[0.]}}}],
          FontSize->Rational[39, 4]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`G[-$CellContext`a, -$CellContext`b],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Chi]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`c][
      $CellContext`Phi[]],
     Editable->False]}], "+", 
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox["C3",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C3,
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[PartialD]", "\[Chi]"], 
       SubscriptBox["\[PartialD]", "\[Beta]"], 
       SubscriptBox["\[PartialD]", "\[Alpha]"], "\[Phi]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`c][
      $CellContext`CD[-$CellContext`b][
       $CellContext`CD[-$CellContext`a][
        $CellContext`Phi[]]]],
     Editable->False]}]}], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028700064281*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"6de4b99b-84de-420b-bede-0cc227a54609"],

Cell["\<\
So from this we learn that we need the following constraints.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002870008749*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"bd4eea2b-9721-4c1d-8ba0-b413492d6197"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    InterpretationBox[
     StyleBox["C1",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C1,
     Editable->False], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox["C2",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`C2,
      Editable->False]}]}], "\[Equal]", "0"}], "&&", 
  RowBox[{
   RowBox[{"3", " ", 
    InterpretationBox[
     StyleBox["C3",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`C3,
     Editable->False]}], "\[Equal]", "0"}]}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002870010806*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"0392ee1f-a3d2-44c5-a07b-0d3372bcd499"],

Cell["\<\
That's fine, it is consistent with everything apart from C4 vanishing.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028700129129*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"378f4e38-01bd-4d3b-aa94-33724701c8fd"],

Cell["\<\
Finally, for pedantry, we confirm that the epsilon contraction goes away.\
\>", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.89002870015193*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"29f87f5d-0ac3-4f8a-8c9e-0b98a5da2769"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[Epsilon]\[Delta]", 
        StyleBox[GridBox[{
           {"\[Alpha]", "\[Beta]", "\[Chi]"},
           {" ", " ", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`epsilonG[$CellContext`a, $CellContext`b, $CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"\[ScriptCapitalT]", 
        StyleBox[GridBox[{
           {" ", " ", " "},
           {"\[Alpha]", "\[Beta]", "\[Chi]"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "Rows" -> {{
               Offset[0.]}}}],
         FontSize->Rational[39, 4]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`T[-$CellContext`a, -$CellContext`b, -$CellContext`c],
    Editable->False]}], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028700176424*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"368912a1-036c-4963-9a35-7618b72b4848"],

Cell[BoxData[
 RowBox[{
  TagBox["0",
   HoldForm], "\[Equal]", "0"}]], "DisplayFormulaNumbered",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028700227374*^9},
 Background->RGBColor[
  0.88, 1, 0.88],ExpressionUUID->"844aa29c-e735-4233-b627-24d1b24bed19"],

Cell["And it does!", "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.890028700248472*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],ExpressionUUID->"79fa8567-ed0a-4393-85e4-6283bfa15e8d"],

Cell[BoxData[
 TagBox[GridBox[{
    {Cell["Connection to Part III project",
      FontWeight->Bold,ExpressionUUID->
      "d285aaf6-3166-4419-be1c-8bc40f8f6a88"], Cell["\<\
Based on this, it looks as though it should be very straightforward to knock \
up the scalar part of the parity-odd spin-2 mode.\
\>",ExpressionUUID->"6e88aeb3-1467-467f-b793-61192073b2a9"]}
   },
   AutoDelete->False,
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "TextGrid"]], "Text",
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.8900287002683764`*^9},
 LineColor->RGBColor[0, 
   Rational[2, 3], 0],
 FrontFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 BackFaceColor->RGBColor[0, 
   Rational[2, 3], 0],
 GraphicsColor->RGBColor[0, 
   Rational[2, 3], 0],
 FontColor->RGBColor[0, 
   Rational[2, 3], 0],
 Background->RGBColor[
  1, 1, 0],ExpressionUUID->"02032475-ef64-4bc5-ab7b-c432305533f6"]
},
WindowSize->{810., 1400.25},
WindowMargins->{{Automatic, -810}, {Automatic, 19.5}},
FrontEndVersion->"13.2 for Linux x86 (64-bit) (January 31, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1b1d8b7b-aab8-4603-95a8-b6f125d0e8ee"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 431, 10, 29, "Input",ExpressionUUID->"d7e67cda-12be-45bf-bec3-bc2d6d116f91"],
Cell[992, 32, 520, 16, 67, InheritFromParent,ExpressionUUID->"0175dab7-4ea0-4386-b285-e057cfa50558"],
Cell[1515, 50, 1006, 27, 104, InheritFromParent,ExpressionUUID->"75f0eed1-563e-45d2-b3e8-a680a3b4c30e"],
Cell[CellGroupData[{
Cell[2546, 81, 244, 5, 23, "Print",ExpressionUUID->"e7663af6-1b51-486f-a1b8-bc3f295bd2df"],
Cell[2793, 88, 513, 13, 25, "Print",ExpressionUUID->"b621c17c-a5dd-4fc4-979c-06917d7476af"],
Cell[3309, 103, 265, 5, 25, "Print",ExpressionUUID->"e6e36292-2d0d-4a43-b935-6b782a066349"],
Cell[3577, 110, 222, 4, 25, "Print",ExpressionUUID->"e1c48db3-4a5b-4455-9713-3e4cd726e83e"],
Cell[3802, 116, 203, 4, 25, "Print",ExpressionUUID->"61709e75-dc40-4840-8b2e-c42b5c20098d"],
Cell[4008, 122, 244, 5, 23, "Print",ExpressionUUID->"7cf33c8e-74bb-4e7f-b0de-edef1f034bf0"],
Cell[4255, 129, 522, 13, 25, "Print",ExpressionUUID->"5179741e-7c43-43cb-8db9-afd660d35b40"],
Cell[4780, 144, 265, 5, 25, "Print",ExpressionUUID->"6c285160-a171-4d43-94d4-005112c7578a"],
Cell[5048, 151, 241, 5, 23, "Print",ExpressionUUID->"a65bf617-da0b-4abc-a11b-e01588437cde"],
Cell[5292, 158, 397, 7, 65, "Print",ExpressionUUID->"b4bc7690-03c9-4c18-bcc3-6c4efe925c24"],
Cell[5692, 167, 242, 5, 23, "Print",ExpressionUUID->"9286c6f0-37f8-4400-8ff7-5658ccc099a1"],
Cell[5937, 174, 242, 5, 23, "Print",ExpressionUUID->"07d6bd9f-6aa2-420b-b8ca-20a0f0d407d2"],
Cell[6182, 181, 514, 13, 25, "Print",ExpressionUUID->"8808100e-57ea-4cb4-bd0f-cfcf13490aa5"],
Cell[6699, 196, 265, 5, 25, "Print",ExpressionUUID->"00f44c0b-8bfd-479a-9169-1b843a581fb9"],
Cell[6967, 203, 240, 5, 23, "Print",ExpressionUUID->"e1a70b57-8f81-4a21-8c03-45d3d7c7d865"],
Cell[7210, 210, 397, 7, 65, "Print",ExpressionUUID->"905de483-e0e2-4a7f-81bc-6b2093fa9941"],
Cell[7610, 219, 241, 5, 23, "Print",ExpressionUUID->"df455525-f35c-4fc5-beb3-e77e83a85579"],
Cell[7854, 226, 222, 4, 25, "Print",ExpressionUUID->"349d5827-7fce-4988-a05e-39de9041c21c"],
Cell[8079, 232, 203, 4, 25, "Print",ExpressionUUID->"4fc83541-4e59-4f22-a98d-1677c950e013"],
Cell[8285, 238, 241, 5, 23, "Print",ExpressionUUID->"1600d9e4-4ec4-4acc-947e-765882f0b77b"],
Cell[8529, 245, 514, 13, 25, "Print",ExpressionUUID->"e3161402-7bd9-45fa-8d8a-0a4b2e0fd170"],
Cell[9046, 260, 313, 6, 45, "Print",ExpressionUUID->"c3de8f62-b84a-43fa-9a74-c44e69f798f9"],
Cell[9362, 268, 483, 12, 25, "Print",ExpressionUUID->"faf54df3-6018-43e0-80c2-63b1f120ca32"],
Cell[9848, 282, 568, 13, 25, "Print",ExpressionUUID->"df51fcfb-a5b8-4f36-86e1-e18718901f22"],
Cell[10419, 297, 671, 13, 25, "Print",ExpressionUUID->"65bd5179-bbca-4c25-b50c-74b9f2b2f7c1"],
Cell[11093, 312, 629, 13, 25, "Print",ExpressionUUID->"34052819-2fcc-4b64-8fb2-3edcf0d51060"],
Cell[11725, 327, 645, 13, 25, "Print",ExpressionUUID->"46031af9-ba93-4b09-9dfc-06d685cd0e4b"],
Cell[12373, 342, 242, 5, 23, "Print",ExpressionUUID->"2cbfcaa1-919b-4daf-9bc2-ecedc5c0bb46"],
Cell[12618, 349, 509, 12, 25, "Print",ExpressionUUID->"5bc5d5b1-f991-4d90-bc56-6da0b60be70b"],
Cell[13130, 363, 289, 5, 45, "Print",ExpressionUUID->"e6a9028b-f43f-4893-ad05-e0d4ef8cb44d"],
Cell[13422, 370, 610, 14, 25, "Print",ExpressionUUID->"d58f3fbc-fa10-4cf0-93ce-f5f8d88ab369"],
Cell[14035, 386, 602, 13, 25, "Print",ExpressionUUID->"7af28e01-14a0-47fc-8722-a884b6792af4"],
Cell[14640, 401, 649, 13, 25, "Print",ExpressionUUID->"148b67d1-033d-46ab-916a-8c52ffd55809"],
Cell[15292, 416, 562, 13, 25, "Print",ExpressionUUID->"c141540f-13fa-4a3a-b7a5-75888efcb358"],
Cell[15857, 431, 242, 5, 23, "Print",ExpressionUUID->"d69345a1-d92c-4e9f-952d-85b557faece9"],
Cell[16102, 438, 514, 13, 25, "Print",ExpressionUUID->"867f5f38-6a9b-46af-8719-4e5779d02e2d"],
Cell[16619, 453, 281, 5, 45, "Print",ExpressionUUID->"8478cf0e-f60a-4ecd-ab74-92e60dc3455e"],
Cell[16903, 460, 242, 5, 23, "Print",ExpressionUUID->"d0b90862-ba28-4a70-b0ab-954b7bb93285"],
Cell[17148, 467, 534, 13, 25, "Print",ExpressionUUID->"3e1a10b1-30e7-45e3-884d-cea91937cba9"],
Cell[17685, 482, 269, 5, 25, "Print",ExpressionUUID->"25af1337-871d-443a-9bdd-12431c89f166"],
Cell[17957, 489, 242, 5, 23, "Print",ExpressionUUID->"cd0b1e2d-66b9-4938-9441-47a64297af50"],
Cell[18202, 496, 515, 12, 25, "Print",ExpressionUUID->"c27c8c2b-11a3-4e6d-909c-c1164615a193"],
Cell[18720, 510, 255, 5, 25, "Print",ExpressionUUID->"b07eb3aa-e7ed-44fc-9a5b-175f147d1bc8"],
Cell[18978, 517, 572, 14, 25, "Print",ExpressionUUID->"38f61597-dc46-4ed1-a14c-5d1ab6b0dc63"],
Cell[19553, 533, 649, 13, 25, "Print",ExpressionUUID->"719b6eed-e68a-40b2-ab0b-2944469a8a1a"],
Cell[20205, 548, 242, 5, 23, "Print",ExpressionUUID->"bb762015-bc22-439a-a851-ef0b18ee916e"],
Cell[20450, 555, 397, 7, 65, "Print",ExpressionUUID->"ac0664c7-5ea9-405a-ad30-f57b684e7d31"],
Cell[20850, 564, 244, 5, 23, "Print",ExpressionUUID->"90642492-3f5f-41cb-8af9-d47986171cac"],
Cell[21097, 571, 244, 5, 23, "Print",ExpressionUUID->"91bef473-96cc-478f-8562-268e5b899b27"],
Cell[21344, 578, 516, 13, 25, "Print",ExpressionUUID->"1d040567-0383-4215-8cd2-90c81c6fcc39"],
Cell[21863, 593, 281, 5, 45, "Print",ExpressionUUID->"17039066-acdb-4175-9e18-de07861949d3"],
Cell[22147, 600, 242, 5, 23, "Print",ExpressionUUID->"62b047a6-6782-45a9-bb35-dc2a565c95d7"],
Cell[22392, 607, 395, 7, 65, "Print",ExpressionUUID->"da6d778f-0cbc-4a97-890d-aa294d214fa4"],
Cell[22790, 616, 242, 5, 23, "Print",ExpressionUUID->"639335af-a514-42bf-bff6-9a3f523380d9"]
}, Open  ]],
Cell[23047, 624, 491, 15, 35, InheritFromParent,ExpressionUUID->"ac5cfeea-9177-4164-a068-876ee0e60f06"],
Cell[CellGroupData[{
Cell[23563, 643, 576, 13, 25, "Print",ExpressionUUID->"216f1ad2-acf4-49e4-b5fd-986675b80d7b"],
Cell[24142, 658, 588, 13, 25, "Print",ExpressionUUID->"d61c40ea-c90c-47f8-801a-bacf309d734b"],
Cell[24733, 673, 734, 18, 25, "Print",ExpressionUUID->"0f145c68-6ecd-4361-be60-3429b7222c15"],
Cell[25470, 693, 798, 20, 25, "Print",ExpressionUUID->"d10951c8-c16b-460a-839e-19b155f85e42"],
Cell[26271, 715, 664, 16, 25, "Print",ExpressionUUID->"0be24c62-3752-45d0-9ba7-e3ddab69cc7f"],
Cell[26938, 733, 786, 19, 25, "Print",ExpressionUUID->"7ffce323-5c90-4e75-a005-fff98524890e"],
Cell[27727, 754, 802, 20, 25, "Print",ExpressionUUID->"f14c00ca-684d-4701-9f4d-414f7460e1c4"],
Cell[28532, 776, 854, 21, 25, "Print",ExpressionUUID->"8745c8d8-d98b-413e-9ad0-98c687220b04"],
Cell[29389, 799, 748, 18, 25, "Print",ExpressionUUID->"c8967e52-c31b-4f3f-a207-ac545130dda2"],
Cell[30140, 819, 652, 15, 25, "Print",ExpressionUUID->"f1fef618-d47c-488a-a0ce-ce85d9564a26"],
Cell[30795, 836, 761, 19, 25, "Print",ExpressionUUID->"d6803cd7-9f0a-431d-b543-3ea0917fe2a1"],
Cell[31559, 857, 838, 20, 25, "Print",ExpressionUUID->"d75d630d-21d7-4966-82f4-9cc91fa2e787"],
Cell[32400, 879, 753, 18, 25, "Print",ExpressionUUID->"43192f95-a403-439b-80f0-513c375b740e"],
Cell[33156, 899, 667, 16, 25, "Print",ExpressionUUID->"1c23275b-bc76-49ae-88ca-d51ec3aeab9d"],
Cell[33826, 917, 888, 22, 25, "Print",ExpressionUUID->"fdc45c5b-7da6-4cff-8dcc-ef151ce87caf"],
Cell[34717, 941, 784, 19, 25, "Print",ExpressionUUID->"32eb2426-01f7-4b8e-b406-785399ffdcbb"],
Cell[35504, 962, 871, 22, 25, "Print",ExpressionUUID->"55625724-9cbc-48ae-b384-d52ba76aa3f5"],
Cell[36378, 986, 871, 22, 25, "Print",ExpressionUUID->"b25467e9-03ad-4bb2-81a2-af332fec6196"],
Cell[37252, 1010, 644, 14, 25, "Print",ExpressionUUID->"05650a94-a797-472c-a9c7-0ce98fc45cc2"]
}, Open  ]],
Cell[37911, 1027, 437, 13, 35, InheritFromParent,ExpressionUUID->"102b862a-ccfc-4868-9d9d-8c7457221993"],
Cell[CellGroupData[{
Cell[38373, 1044, 604, 13, 25, "Print",ExpressionUUID->"ce0bbd3b-f4fd-48d8-bfb7-5f3b8679f4c1"],
Cell[38980, 1059, 593, 13, 25, "Print",ExpressionUUID->"113b300c-5239-42be-b9b3-7d5d0b95c31c"]
}, Open  ]],
Cell[39588, 1075, 488, 15, 35, InheritFromParent,ExpressionUUID->"e2f4d422-e7f0-4f2f-95e9-95eaa7895186"],
Cell[40079, 1092, 745, 18, 25, "Print",ExpressionUUID->"b9cbf68e-7b2c-4f2b-b59d-5b11331ecb11"],
Cell[40827, 1112, 1073, 31, 49, InheritFromParent,ExpressionUUID->"2b4689e5-1f9b-4179-8f3c-b30827321f2f"],
Cell[41903, 1145, 543, 16, 58, InheritFromParent,ExpressionUUID->"5b1f60f7-475e-4f81-bb4e-1d40e3c2feab"],
Cell[42449, 1163, 727, 18, 81, InheritFromParent,ExpressionUUID->"3201d010-1034-4196-9961-e6030e8e16b3"],
Cell[43179, 1183, 2991, 86, 49, InheritFromParent,ExpressionUUID->"0868b646-d4a7-4df0-9625-d2d1bd75b971"],
Cell[46173, 1271, 17830, 509, 52, InheritFromParent,ExpressionUUID->"8e6bb5bf-601f-4a7c-98a5-5380eaed864c"],
Cell[64006, 1782, 5508, 162, 49, InheritFromParent,ExpressionUUID->"4336cec8-d2ae-4c98-8599-3909365f211c"],
Cell[69517, 1946, 563, 16, 58, InheritFromParent,ExpressionUUID->"91879586-5305-4e2f-b547-dda519921a7c"],
Cell[70083, 1964, 2031, 62, 49, InheritFromParent,ExpressionUUID->"ceb325d5-7b35-42e9-bcbd-1d3ca076377c"],
Cell[72117, 2028, 596, 17, 58, InheritFromParent,ExpressionUUID->"84f104cc-58af-41fd-8a1f-171f9dcce45d"],
Cell[72716, 2047, 442, 13, 35, InheritFromParent,ExpressionUUID->"ae8b7d5f-6ff7-4b1d-82a4-4553956e6efb"],
Cell[CellGroupData[{
Cell[73183, 2064, 604, 13, 25, "Print",ExpressionUUID->"307cecfc-bd82-499d-883c-b5aa4e7fcd97"],
Cell[73790, 2079, 602, 13, 25, "Print",ExpressionUUID->"3d193a1c-f494-4b5f-9f0b-1aa39e209999"],
Cell[74395, 2094, 602, 13, 25, "Print",ExpressionUUID->"8a007ae1-9a88-49f6-8284-9a040c1991a3"],
Cell[75000, 2109, 602, 13, 25, "Print",ExpressionUUID->"a19d8f20-246d-4893-aec4-93052271f6ec"]
}, Open  ]],
Cell[75617, 2125, 437, 13, 35, InheritFromParent,ExpressionUUID->"684966de-5ccb-4b35-a9b2-2cd4799dc526"],
Cell[76057, 2140, 1072, 31, 49, InheritFromParent,ExpressionUUID->"1af7de37-e077-4855-8afe-3ae01c6de62f"],
Cell[77132, 2173, 7587, 246, 49, InheritFromParent,ExpressionUUID->"a149868e-900e-4c22-8d50-3d809090a6b9"],
Cell[84722, 2421, 499, 15, 35, InheritFromParent,ExpressionUUID->"9273c08a-a965-4e37-ad01-dba27322fc6c"],
Cell[85224, 2438, 625, 17, 58, InheritFromParent,ExpressionUUID->"983e359b-875f-43dd-bb96-43251585943c"],
Cell[85852, 2457, 2072, 59, 49, InheritFromParent,ExpressionUUID->"37a5020c-4461-4e79-90aa-6ed36fb636d5"],
Cell[87927, 2518, 283, 8, 41, InheritFromParent,ExpressionUUID->"b1ea74bc-ecdb-4961-9bf5-8d45b4d3dd3b"],
Cell[88213, 2528, 608, 17, 58, InheritFromParent,ExpressionUUID->"b60395d3-14a0-471d-8b1c-ef247df0ea12"],
Cell[88824, 2547, 553, 16, 58, InheritFromParent,ExpressionUUID->"2f2131ea-25f3-46c8-9c08-77ae9ebf9afd"],
Cell[89380, 2565, 1129, 32, 52, InheritFromParent,ExpressionUUID->"ab3d4e2f-5c25-4708-96ec-d4eaa5590c66"],
Cell[90512, 2599, 1550, 52, 47, InheritFromParent,ExpressionUUID->"b841df3f-17e5-42ec-9b1e-c62f3710bbf8"],
Cell[92065, 2653, 482, 15, 35, InheritFromParent,ExpressionUUID->"f14db371-4dea-4c3e-bab8-1fb01ac1b8ce"],
Cell[92550, 2670, 782, 28, 44, InheritFromParent,ExpressionUUID->"54bb2705-bae8-42a0-9fb7-ba86ff7b8b3f"],
Cell[93335, 2700, 526, 16, 35, InheritFromParent,ExpressionUUID->"bc24ae30-95f4-4cf3-beae-63da82ed8b4e"],
Cell[93864, 2718, 1128, 32, 52, InheritFromParent,ExpressionUUID->"a6cdebfc-99a2-4d49-b88b-42203c5d518c"],
Cell[94995, 2752, 3094, 99, 49, InheritFromParent,ExpressionUUID->"4fd7ce17-a4ed-4551-a93e-83cf57e2328d"],
Cell[98092, 2853, 483, 15, 35, InheritFromParent,ExpressionUUID->"f54068f2-a686-4f0e-85d1-8c0c7018a0c3"],
Cell[98578, 2870, 988, 36, 44, InheritFromParent,ExpressionUUID->"56e03250-0d1d-45b9-b193-9a9b3e5cc005"],
Cell[99569, 2908, 1109, 24, 150, InheritFromParent,ExpressionUUID->"cb05c005-09dd-4ef5-aafe-fcd01978d93e"],
Cell[100681, 2934, 2480, 47, 698, InheritFromParent,ExpressionUUID->"53c4dd02-7748-4395-9ad4-721d8c4d63b0"],
Cell[103164, 2983, 2977, 85, 49, InheritFromParent,ExpressionUUID->"392d4d00-3519-4b59-a26b-8dd4d46a4b78"],
Cell[106144, 3070, 5572, 180, 49, InheritFromParent,ExpressionUUID->"6de4b99b-84de-420b-bede-0cc227a54609"],
Cell[111719, 3252, 482, 15, 35, InheritFromParent,ExpressionUUID->"bd4eea2b-9721-4c1d-8ba0-b413492d6197"],
Cell[112204, 3269, 811, 29, 44, InheritFromParent,ExpressionUUID->"0392ee1f-a3d2-44c5-a07b-0d3372bcd499"],
Cell[113018, 3300, 492, 15, 35, InheritFromParent,ExpressionUUID->"378f4e38-01bd-4d3b-aa94-33724701c8fd"],
Cell[113513, 3317, 494, 15, 35, InheritFromParent,ExpressionUUID->"29f87f5d-0ac3-4f8a-8c9e-0b98a5da2769"],
Cell[114010, 3334, 2077, 59, 49, InheritFromParent,ExpressionUUID->"368912a1-036c-4963-9a35-7618b72b4848"],
Cell[116090, 3395, 283, 8, 41, InheritFromParent,ExpressionUUID->"844aa29c-e735-4233-b627-24d1b24bed19"],
Cell[116376, 3405, 426, 13, 35, InheritFromParent,ExpressionUUID->"79fa8567-ed0a-4393-85e4-6283bfa15e8d"],
Cell[116805, 3420, 988, 27, 104, InheritFromParent,ExpressionUUID->"02032475-ef64-4bc5-ab7b-c432305533f6"]
}
]
*)

